Package org.freeplane.plugin.script.proxy

# Interface Proxy.ConnectorRO

All Superinterfaces:
  `ConnectorRO`

All Known Subinterfaces:
  `Proxy.Connector`

Enclosing interface:
  Proxy

public static interface Proxy.ConnectorRO extends ConnectorRO

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.freeplane.features.link.ArrowType`
  `getEndArrow()`
  Deprecated.
  since 1.2 - use `ConnectorRO.hasEndArrow()` instead
  `org.freeplane.features.link.ArrowType`
  `getStartArrow()`
  Deprecated.
  since 1.2 - use `ConnectorRO.hasStartArrow()` instead

  ### Methods inherited from interface org.freeplane.api.ConnectorRO

  `getColor, getColorCode, getDashArray, getEndInclination, getLabelFontFamily, getLabelFontSize, getMiddleLabel, getOpacity, getShape, getSource, getSourceLabel, getStartInclination, getTarget, getTargetLabel, getWidth, hasEndArrow, hasStartArrow, simulatesEdge`

- ## Method Details

  - ### getEndArrow

    @Deprecated org.freeplane.features.link.ArrowType getEndArrow()
    Deprecated.
    since 1.2 - use `ConnectorRO.hasEndArrow()` instead
    Returns:
      the end `ArrowType`

  - ### getStartArrow

    @Deprecated org.freeplane.features.link.ArrowType getStartArrow()
    Deprecated.
    since 1.2 - use `ConnectorRO.hasStartArrow()` instead
    Returns:
      the start `ArrowType`